classification
Title: python 2.6.5 documentation can't search
Type: behavior Stage:
Components: Documentation Versions: Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: ezio.melotti, georg.brandl, sandro.tosi, sgala, terry.reedy
Priority: normal Keywords:

Created on 2010-04-16 06:03 by sgala, last changed 2012-10-06 11:15 by georg.brandl. This issue is now closed.

Messages (10)
msg103293 - (view) Author: Santiago Gala (sgala) Date: 2010-04-16 06:03
http://docs.python.org/release/2.6.5/search.html?q=regular+expression

fails. It fails because

http://docs.python.org/release/2.6.5/searchindex.js

returns 404 NOT FOUND

There are really two bugs here:
* that the file is not there, and
* that the page gives no clue that there is something broken inside

IMO the second one is more important: the page stays forever with the Searching and the dots moving...

I reported against build and Documentation as I'm not sure if the web site belongs here and where is the issue originating.
msg113030 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-05 19:41
With FireFox, searching from http://docs.python.org/release/2.6.5/
does not get 404 Not Found for me, but neither does it return any hits. The 2.7, 3.1.2, 3.2a pages work fine.

Georg, I do not see a 2.6.6 page. Can you verify that it will work when released?
msg113036 - (view) Author: Santiago Gala (sgala) Date: 2010-08-05 19:59
I got this trying to reply:

This is the mail system at host psf.upfronthosting.co.za.

I'm sorry to have to inform you that your message could not
be delivered to one or more recipients. It's attached below.

For further assistance, please send mail to postmaster.

If you do so, please include this problem report. You can
delete your own text from the attached returned message.

                  The mail system

<roundup+tracker@psf.upfronthosting.co.za> (expanded from
   <report@bugs.python.org>): Command died with signal 9:
   "/home/roundup/roundup/bin/roundup-mailgw /home/roundup/trackers/tracker"

Final-Recipient: rfc822; roundup+tracker@psf.upfronthosting.co.za
Original-Recipient: rfc822;report@bugs.python.org
Action: failed
Status: 5.3.0
Diagnostic-Code: x-unix; internal software error


---------- Forwarded message ----------
From: Santiago Gala <sgala@apache.org>
To: Python tracker <report@bugs.python.org>
Date: Thu, 5 Aug 2010 21:52:14 +0200
Subject: Re: [issue8416] python 2.6.5 documentation can't search
You should find the 404 in http://docs.python.org/release/2.6.5/searchindex.js , not in the "root" of the release. I.E., it is the search index that is missing.

Regards
Satntiago

On Thu, Aug 5, 2010 at 9:41 PM, Terry J. Reedy <report@bugs.python.org> wrote:


    Terry J. Reedy <tjreedy@udel.edu> added the comment:

    With FireFox, searching from http://docs.python.org/release/2.6.5/
    does not get 404 Not Found for me, but neither does it return any hits. The 2.7, 3.1.2, 3.2a pages work fine.

    Georg, I do not see a 2.6.6 page. Can you verify that it will work when released?

    ----------
    nosy: +terry.reedy
msg113055 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2010-08-05 21:25
The best way to reply to tracker messages is to click the link at the bottom and enter in the box.

Pasting all that junk is useless. The noise hides the message, which seems to be a non-helpful repeat of the original message.

I already did what was needed, which was to verify the problem and try to alert GB. Let him respond.
msg150542 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2012-01-03 22:06
Hi Georg, I've verified doc search works with 2.6.[467], so if the fix is so easy to just add that js, could you please give it a look? TIA
msg150555 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-01-03 23:41
Santiago, if you are still running 2.6.5 code, use the most recent 2.6 docs at
http://docs.python.org/release/2.6.6/
This will have all the corrections made after the 2.6.5 release. Contrary to what you might think the header line says, there is no particular connection between the 2.6.5 code release and the obsolete 2.6.5 doc release.

George, since the continuously updated x.y docs released with x.y.z really document x.y and not each x.y.z bugfix release, I am a bit surprised that they are labelled x.y.z docs with the claim "This is the documentation for Python x.y.z", especially since they are updated after the x.y.z code release.

The current '2.7.2' docs, last updated today, would more truthfully be called either '2.7' docs or '2.7.3a0' docs, as they are are a preview of what will be released with 2.7.3 and are not what was released with 2.7.2. If there *were* (unusally) any new features in 2.7.3a0, they would already be listed in the so-called '2.7.2' docs. (There *was* such a bugfix addition for difflib.SequenceMatcher in 2.7.1, and I presume it did appear in the updated '2.7.0' online docs.)

I am not sure we should have obsolete snapshot versions online. They only serve to be an attractive nuisance as illustrated by this issue. With the initial 3.3 release being called 3.3.0, there would be no ambiguity in calling the 3.3 docs just that.
msg150556 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2012-01-03 23:42
Sorry, /George/Georg/
msg150567 - (view) Author: Santiago Gala (sgala) Date: 2012-01-04 01:45
Still http://docs.python.org/release/2.6.6/search.html?q=regular+expression
works, while http://docs.python.org/release/2.6.5/search.html?q=regular+expression
fails, and http://docs.python.org/release/2.6.5/searchindex.js gives a
404, while http://docs.python.org/release/2.6.6/searchindex.js works
so the bug report stands as it was reported...

Regards
Santiago

On Wed, Jan 4, 2012 at 12:55 AM, Ezio Melotti <report@bugs.python.org> wrote:
>
> Changes by Ezio Melotti <ezio.melotti@gmail.com>:
>
>
> ----------
> nosy: +ezio.melotti
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue8416>
> _______________________________________
msg150597 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-01-04 09:18
The continually updated docs are built from the stable branches, whose version remains at (e.g.) 2.7.2 until 2.7.3a1 is released, at which point the continuous updating stops until 2.7.3 is final.

I don't think presenting docs with an alpha version on the http://docs.python.org/ frontpage is useful. On the other hand, I do think it is important to have doc fixed reflected (more or less) instantly somewhere, so that e.g. people reporting typos can see the fixes. The status quo is a compromise between these two needs.

When we do make backwards incompatible changes or additions during a stable cycle, they need to be marked with "new/changed in version 2.7.X+1" anyway.  So the SequenceMatcher change would alert users itself. If not, that's a bug.

About the "obsolete" snapshots: I don't know what you're referring to there: if it's the released docs for specific versions, then I think that's standard practice to have a doc version released for a specific Python version; and I wouldn't change that.
msg172181 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-10-06 11:15
searchindex.js is now present in 2.6.5 too.
History
Date User Action Args
2012-10-06 11:15:04georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg172181
2012-01-04 09:18:31georg.brandlsetmessages: + msg150597
2012-01-04 01:45:31sgalasetmessages: + msg150567
2012-01-03 23:55:12ezio.melottisetnosy: + ezio.melotti
2012-01-03 23:42:08terry.reedysetmessages: + msg150556
2012-01-03 23:41:11terry.reedysetmessages: + msg150555
2012-01-03 22:06:40sandro.tosisetnosy: + sandro.tosi
messages: + msg150542
2010-11-22 06:23:44eric.araujosetassignee: docs@python -> georg.brandl
2010-10-29 10:07:21adminsetassignee: georg.brandl -> docs@python
2010-08-05 21:25:57terry.reedysetmessages: + msg113055
2010-08-05 19:59:56sgalasetmessages: + msg113036
2010-08-05 19:41:23terry.reedysetnosy: + terry.reedy
messages: + msg113030
2010-04-16 06:03:53sgalacreate